@echo off

IF %1.==. GOTO USAGE

set VPNCONFIG=%1
set CONFIGDIR=%USERPROFILE%\OpenVPN\config
set TOOLS=%SystemDrive%\tools

echo ####### %0 #######

echo creating directory [ %CONFIGDIR% ]
mkdir %CONFIGDIR% 2>nul

echo unzip VPN config files ...
%TOOLS%\7z e -y -aoa -o%CONFIGDIR% %1 1>nul

echo ####### %0 #######
GOTO END

:USAGE
echo "usage: %0 <OpenVPN ZIPFILE>"

:END
